Get the trigger event and input params of an execution
curl --request GET \
--url https://app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/context/inputs \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/context/inputs"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch('https://app.blinkops.com/api/v1/workspace/{ws_id}/executions/{id}/context/inputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Executions
Get the trigger event and input params of an execution
Returns the original trigger event payload and the resolved input parameters that were passed when the execution was started.
GET
/
workspace
/
{ws_id}
/
executions
/
{id}
/
context
/
inputs
Get the trigger event and input params of an execution
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
The ID of the workspace containing the execution
The ID of the playbook execution
Response
Object containing event (trigger payload) and inputs (resolved input params)
The response is of type object.
Was this page helpful?
⌘I